import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  characterInfo: `/api/financial/tNewAssign`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.characterInfo}/select`, { skip, limit, ...info });
    return res;
  },
  async originalQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.characterInfo}`, { skip, limit, ...info });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.characterInfo}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.characterInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...data }) {
    const res = await this.$axios.$post(`${api.characterInfo}/update/${id}`, data);
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.characterInfo}/${payload}`);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
